Package org.eclipse.debug.core

# Interface IMemoryBlockListener

public interface IMemoryBlockListener
A memory block listener is notified of the addition and removal of memory blocks with the memory block manager. Listeners must register with the memory block manager for notification.

Clients may implement this interface.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`void`
`memoryBlocksAdded(IMemoryBlock[] memory)`
Notification the given memory blocks have been added to the memory block manager.
`void`
`memoryBlocksRemoved(IMemoryBlock[] memory)`
Notification the given memory blocks have been removed from the memory block manager.

## Method Details

### memoryBlocksAdded

void memoryBlocksAdded(IMemoryBlock[] memory)
Notification the given memory blocks have been added to the memory block manager.

Parameters:
  `memory` - blocks added to the memory block manager

### memoryBlocksRemoved

void memoryBlocksRemoved(IMemoryBlock[] memory)
Notification the given memory blocks have been removed from the memory block manager.

Parameters:
  `memory` - blocks removed from the memory block manager